<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Lab1</title>
    <link crossorigin="anonymous"
          href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css"
          integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU"
          rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css"
          rel="stylesheet">
    <script src="jquery-3.6.0.min.js"></script>
</head>
<body>
<h1 class="text-center mb-4 mt-4">Users</h1>
<form class="row justify-content-center"
      id="user-data-form">
    <div class="col-6">
        <input hidden
               id="user-id"
               name="id"
               type="text">
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text"
                      id="basic-addon-username">@</span>
            </div>
            <input aria-describedby="basic-addon-username"
                   aria-label="Username"
                   class="form-control"
                   id="username"
                   name="username"
                   placeholder="Username"
                   required
                   type="text">
        </div>
        <div class="input-group mb-3">
            <input aria-label="Age"
                   class="form-control"
                   id="age"
                   name="age"
                   placeholder="Age"
                   required
                   type="text">
        </div>
        <div class="d-flex mb-3 justify-content-center">
            <button class="btn btn-success"
                    id="add-btn"><i class="bi bi-plus-lg"></i> Add
            </button>
            <button class="btn btn-warning d-none"
                    id="edit-btn"
                    type="button"><i class="bi bi-pencil"></i> Update
            </button>
        </div>
    </div>
</form>
<div class='row justify-content-center mt-3 mb-5 ms-5 me-5'>
    <table class="table table-hover">
        <thead>
        <tr>
            <th>#</th>
            <th>Username</th>
            <th>Age</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody id="users-table-body">
        </tbody>
    </table>
</div>
<script src="client.js"></script>
</body>
</html>
